## golang-github-go-viper-mapstructure 2.2.1

=== debian/changelog ===
golang-github-go-viper-mapstructure (2.2.1-2) unstable; urgency=medium

  [ Nicolas Peugnet ]
  * Add the v2 major version indication to the import path

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 17 Oct 2025 18:43:28 -0400

golang-github-go-viper-mapstructure (2.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Guillem Jover <gjover@sipwise.com>  Mon, 30 Sep 2024 18:24:21 +0200

golang-github-go-viper-mapstructure (2.1.0-2) unstable; urgency=medium

  * Source-only upload for testing migration.

 -- Guillem Jover <gjover@sipwise.com>  Tue, 10 Sep 2024 18:08:48 +0200

golang-github-go-viper-mapstructure (2.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1080428)

 -- Guillem Jover <gjover@sipwise.com>  Mon, 09 Sep 2024 15:30:59 +0200
