=== debian/control ===
Source: golang-github-go-viper-mapstructure
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Guillem Jover <gjover@sipwise.com>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-go-viper-mapstructure
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-go-viper-mapstructure.git
Homepage: https://github.com/go-viper/mapstructure
XS-Go-Import-Path: github.com/go-viper/mapstructure/v2

Package: golang-github-go-viper-mapstructure-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: decode generic map values into native Go structures and vice versa (library)
 mapstructure is a Go library for decoding generic map values to
 structures and vice versa, while providing helpful error handling.
 .
 This library is most useful when decoding values from some data stream
 (JSON, Gob, etc.) where you don't *quite* know the structure of the
 underlying data until you read a part of it. You can therefore read a
 map[string]interface{} and use this library to decode it into the proper
 underlying native Go structure.
 .
 Go offers fantastic standard libraries for decoding formats such as
 JSON. The standard method is to have a struct pre-created, and populate
 that struct from the bytes of the encoded format. This is great, but the
 problem is if you have configuration or an encoding that changes
 slightly depending on specific fields.
 .
 Perhaps you cannot populate a specific structure without first reading the
 "type" field from the JSON. You could always do two passes over the
 decoding of the JSON (reading the "type" first, and the rest later).
 However, it is much simpler to just decode this into a
 map[string]interface{} structure, read the "type" key, then use
 something like this library to decode it into the proper structure.
 .
 This library is a blessed fork of github.com/mitchellh/mapstructure,
 which  has been archived by its upstream.
 See  https://github.com/mitchellh/mapstructure/issues/349.
 .
 You can migrate to this package by changing your import paths in your Go
 files to github.com/go-viper/mapstructure/v2. The API is the same, so you
 don't need to change anything else.
