## golang-github-go-viper-mapstructure 2.4.0

=== debian/changelog ===
golang-github-go-viper-mapstructure (2.4.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Includes fix for CVE-2025-11065 (Closes: #1116584)
  * d/control:
    - Update Standards-Version to 4.7.2 (no changes needed)
    - Drop redundant Rules-Requires-Root

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 09 Nov 2025 00:55:27 +0000
